## invada-studio-plugins-lv2 1.2.0%2Brepack0

=== debian/control ===
Source: invada-studio-plugins-lv2
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               fakeroot,
               libgtk2.0-dev,
               lv2-dev,
Standards-Version: 4.7.0
Homepage: https://launchpad.net/invada-studio/+download
Vcs-Browser: https://salsa.debian.org/debian/invada-studio-plugins-lv2
Vcs-Git: https://salsa.debian.org/debian/invada-studio-plugins-lv2.git

Package: invada-studio-plugins-lv2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: lv2-plugin,
Suggests: ardour,
          jalv,
Description: Invada Studio Plugins - a set of LV2 audio plugins
 Distortion Plugins
   Tube - (Mono and Stereo version)
 Valve warmth/distortion simulation.
 .
 Delay Plugins
   Delay Munge - (Mono and Sum version)
 Delay with munged (non-linear) feedback & delay calculator.
 .
 Dynamics Plugins
   Compressor - (Mono and Stereo version)
 Peak/RMS soft-clipping compressor.
 .
 Filter Plugins
   Low Pass (Mono and Stereo version)
   High Pass (Mono and Stereo version)
 Gentle high pass and low pass filters.
 .
 Phaser Plugins
   Stereo Phaser (Mono, Stereo and Sum version)
 Long slow stereo phaser.
 .
 Reverb Plugins
   ER Reverb - (Mono and Sum version)
 Early reflection based reverb.
 .
 Utility Plugins
   Input Module (Stereo only)
 Alter gain, balance, width, phase on a stereo signal.
   Meters (Stereo only)
 Peak, VU, Phase and spectrograph meters.
   Test Tones (Mono only)
 Generate testtones at specific frequencies.
