## invada-studio-plugins-lv2 1.2.0+repack0

=== debian/changelog ===
invada-studio-plugins-lv2 (1.2.0+repack0-1) unstable; urgency=low

  * Team upload.

  [ Jaromír Mikeš ]
  * Added DM-Upload-Allowed: yes
  * Changed link to GPL-2 instead of GPL.
  * Added invada-studio-plugins-lv2.lintian-overrides file

  [ Alessio Treglia ]
  * Imported Upstream version 1.2.0+repack0:
    - Get rid of lv2_ui.h, now provided from lv2-extensions-good.
  * Switch to 3.0 (quilt) format.
  * Link with --as-needed.
  * debian/control: Single-space indentation, remove trailing dot from the
    description.
  * Build-depend on lv2-extensions-good.
  * Add patch to point the #include statements to the right location of the
    ui-ext's header.
  * Remove copyright notice about lv2_ui.h.
  * Add gbp config file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Jun 2011 11:09:06 +0200

invada-studio-plugins-lv2 (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #540044)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 Sep 2009 05:33:07 +0200
