=== debian/control ===
--- 
+++ 
@@ -1,23 +1,33 @@
 Source: invada-studio-plugins-lv2
 Section: sound
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13),
-               fakeroot,
-               libgtk2.0-dev,
-               lv2-dev,
-Standards-Version: 4.7.0
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Free Ekanayaka <freee@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
+Build-Depends: debhelper (>= 7.0.0),
+ fakeroot,
+ libgtk2.0-dev,
+ lv2-extensions-good,
+ lv2core
+DM-Upload-Allowed: yes
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/git/pkg-multimedia/invada-lv2.git
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/invada-lv2.git;a=summary
 Homepage: https://launchpad.net/invada-studio/+download
-Vcs-Browser: https://salsa.debian.org/debian/invada-studio-plugins-lv2
-Vcs-Git: https://salsa.debian.org/debian/invada-studio-plugins-lv2.git
 
 Package: invada-studio-plugins-lv2
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Provides: lv2-plugin,
-Suggests: ardour,
-          jalv,
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libcairo2,
+ libgnome2-0,
+ libglade2-0,
+ libxml2,
+ libglib2.0-0,
+ libgtk2.0-0
+Provides: lv2-plugin
+Suggests: zynjacku,
+ ardour
 Description: Invada Studio Plugins - a set of LV2 audio plugins
  Distortion Plugins
    Tube - (Mono and Stereo version)
@@ -41,8 +51,8 @@
  Long slow stereo phaser.
  .
  Reverb Plugins
-   ER Reverb - (Mono and Sum version)
- Early reflection based reverb.
+   ER Reverb - (Mono and Sum version) 
+ Early reflection based reverb. 
  .
  Utility Plugins
    Input Module (Stereo only)
