=== debian/watch ===
version=3

https://launchpad.net/invada-studio/+download/ \
http://launchpad.net/invada-studio/lv2/\d\.\d/\+download/invada-studio-plugins-lv2_(.*)-nopkg.tgz
