## invada-studio-plugins-lv2 1.2.0-0

=== debian/changelog ===
invada-studio-plugins-lv2 (1.2.0-0) unstable; urgency=low

  * Added new plugin 'Meters'.
  * Envelope attack & decay for meters now consistant across sample rates.
  * Improved font selection for widgets for compatibility across different systems.
  * Initialised uninitialised variables in the delay plugin (thx Damon).
  * Added LV2 'Portgroups' extension to RDF's (thx Dave).
  * 'DESTDIR' make option to help packagers (thx Philipp).
  * Various GUI tweaks.

 -- Fraser Stuart (Obleak) <fraser@arkhostings.com>  Sun, 23 Aug 2009 18:00:00 +1000

invada-studio-plugins-lv2 (1.1.0-0) unstable; urgency=low

  * Added new plugin 'Delay - Munge'.
  * Added new plugn 'Test Tones'
  * Added interpolation / fading to eliminate zipping from changing controls.
  * Updated rdf as per http://lists.lv2plug.in/pipermail/devel-lv2plug.in/2009-June/000226.html
  * Added extended port properties to rdf
  * Backed out changes to support lv2rack as it now behaves as expected.
  * Various GUI tweaks.

 -- Fraser Stuart (Obleak) <fraser@arkhostings.com>  Sun, 5 Jul 2009 18:00:00 +1000

invada-studio-plugins-lv2 (1.0.1-0) unstable; urgency=low

  * Disabled tool-tips while widgets are being interacted with.
  * Fixed makefile compile & linking options (Bug #381945).
  * Fixed multile RDF errors affecting host compatibility (Bugs #382021, 
    #382147, #382150 & #382151).
  * Made the plugins more tolerant of differing implementations of the UI 
    Extension (Bug #382147).

 -- Fraser Stuart (Obleak) <fraser@arkhostings.com>  Sat, 6 Jun 2009 20:00:00 +1000

invada-studio-plugins-lv2 (1.0.0-0) unstable; urgency=low

  * Initial Release.

 -- Fraser Stuart (Obleak) <fraser@arkhostings.com>  Sat, 30 May 2009 16:00:00 +1000
