=== debian/control ===
Source: invada-studio-plugins-lv2
Section: sound
Priority: optional
Maintainer: Fraser Stuart (Obleak) <fraser@arkhostings.com>
Build-Depends: debhelper (>= 4.0.0), fakeroot, libgtk2.0-dev, lv2core
Standards-Version: 3.7.3.0

Package: invada-studio-plugins-lv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcairo2, libgnome2-0, libglade2-0, libxml2, libglib2.0-0, libgtk2.0-0
Provides: lv2-plugin
Suggests: ardour
Homepage: https://launchpad.net/invada-studio
Description: Invada Studio Plugins - a set of LV2 audio plugins
  Distortion Plugins
  * Tube - (Mono and Stereo version)
 Valve warmth/distortion simulation.
 .
  Delay Plugins
  * Delay Munge - (Mono and Sum version)
 Delay with munged (non-linear) feedback & delay calculator.
 .
  Dynamics Plugins
  * Compressor - (Mono and Stereo version)
 Peak/RMS soft-clipping compressor.
 .
  Filter Plugins
  * Low Pass (Mono and Stereo version)
  * High Pass (Mono and Stereo version)
 Gentle high pass and low pass filters.
 .
  Phaser Plugins
  * Stereo Phaser (Mono, Stereo and Sum version)
 Long slow stereo phaser.
 .
  Reverb Plugins
  * ER Reverb - (Mono and Sum version) 
 Early reflection based reverb. 
 .
  Utility Plugins
  * Input Module (Stereo only)
 Alter gain, balance, width, phase on a stereo signal.
  * Meters (Stereo only)
 Peak, VU, Phase and spectrograph meters.
  * Test Tones (Mono only)
 Generate testtones at specific frequencies.
 .
