=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,14 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
-LDFLAGS+=-Wl,--as-needed
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# These are used for cross-compiling and for saving the configure script
+# # from having to guess our platform (since we know it already)
+# DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+# DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -18,6 +25,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	# Add here commands to configure the package.
 
 	touch configure-stamp
 
@@ -27,6 +35,7 @@
 build-stamp: configure-stamp 
 	dh_testdir
 
+	# Add here commands to compile the package.
 	$(MAKE) 
 
 	touch build-stamp
@@ -36,16 +45,18 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
-	[ ! -f Makefile ] || $(MAKE) clean
+	# Add here commands to clean up after the build process.
+	-$(MAKE) clean
 
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_prep 
+	dh_clean -k 
 	dh_installdirs
 
+	# Add here commands to install the package.
 	$(MAKE) install-sys INSTALL_SYS_PLUGINS_DIR=$(CURDIR)/debian/invada-studio-plugins-lv2/usr/lib/lv2 
 
 
@@ -60,11 +71,23 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
+#	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
+#	dh_perl
+#	dh_python
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
